# privilege.roles

Get all available roles.

Each entry contains the following keys:

name - the internal name of the role

includes - list of other roles that this role includes. When user is granted this role, they will also receive permissions granted by all the included roles.

builtin - role exists for internal backend purposes for access control.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: filters

#### filters

Type: array Default: []
No Additional Items

##### Each item of this array must be:

Type: object

##### Parameter 2: options

#### options

Type: object
Default:
{ "relationships": true, "extend": null, "extend_context": null, "prefix": null, "extra": {}, "order_by": [], "select": [], "count": false, "get": false, "offset": 0, "limit": 0, "force_sql_filters": false }
No Additional Properties

##

#### Relationships

Type: boolean Default: true

##

#### Extend

Default: null

## Any of

Type: string
Type: null

##

#### Extend Context

Default: null

## Any of

Type: string
Type: null

##

#### Prefix

Default: null

## Any of

Type: string
Type: null

##

#### Extra

Type: object Default: {}

##

#### Order By

Type: array of string Default: []
No Additional Items

##### Each item of this array must be:

Type: string

##

#### Select

Type: array Default: []
No Additional Items

##### Each item of this array must be:

## Any of

Type: string
Type: array
No Additional Items

##### Each item of this array must be:

Type: object

##

#### Count

Type: boolean Default: false

##

#### Get

Type: boolean Default: false

##

#### Offset

Type: integer Default: 0

##

#### Limit

Type: integer Default: 0

##

#### Force Sql Filters

Type: boolean Default: false

##

#### Result

## Any of

Type: array of object
No Additional Items

##### Each item of this array must be:

#### PrivilegeRolesQueryResultItem

Type: object
No Additional Properties

##

#### Name

Type: string

Must be at least `1` characters long

##

#### Title

Type: string

Must be at least `1` characters long

##

#### Includes

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Builtin

Type: boolean

##

## Any of

#### STIGType

Type: enum (of integer)

Currently we are only attempting to meet a single STIG (General Purpose
Operating System). This enum is defined so that we have capability
to expand if we decide to apply more specific STIGs to different areas
of our product

##### Must be one of:

- 0
- 1

Type: null

#### PrivilegeRolesQueryResultItem

Type: object
No Additional Properties

##

#### Name

Type: string

Must be at least `1` characters long

##

#### Title

Type: string

Must be at least `1` characters long

##

#### Includes

Type: array of string
No Additional Items

##### Each item of this array must be:

Type: string

Must be at least `1` characters long

##

#### Builtin

Type: boolean

##

## Any of

Type: object
Type: null
Type: integer

Required roles: